using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Music.Model;

namespace Music.StubRepository
{
    public class SongRepository : ISongRepository
    {
        #region ISongRepository Members

        public IEnumerable<Song> FindAll()
        {
            return new DataContext().Songs;
        }

        public Song FindBy(int id)
        {
            return new DataContext().Songs.FirstOrDefault(song => song.Id == id);
        }

        #endregion
    }
}
